




#ifndef Wagnis_Province_h
#define Wagnis_Province_h

#include "WagnisPrereqs.h"
#include "core/CoreIncludes.h"
#include "core/XMLPort.h"
#include "worldentities/pawns/Pawn.h"
#include "tools/OgreBulletUtils.h"
#include <vector>
#include <OgreColourValue.h>
#include "tools/ToolsPrereqs.h"


namespace orxonox
{
    class _WagnisExport WagnisProvince : public Pawn
    {
    public:
        WagnisProvince(Context*);
        virtual ~WagnisProvince();


        virtual void XMLPort(Element&,XMLPort::Mode);

        void setOwner_ID(int);
        void setTroops(int);
        void setID(int);
        void setContinent(int);

        int getOwner_ID() const;
        int getTroops() const;
        int getID() const;
        int getContinent() const;

        void addNeighbor(WagnisProvince*);


        std::vector<WagnisProvince*> neighbors;
        int owner_ID;
        int ID;
        int continent;

        private:
        int troops;

    };
}


#endif
